BU040416_EW03

HP Tru64 UNIX - VM-Related Fixes for V5.1B

»

HP Tru64 UNIX

Tru64 UNIX

» Tru64 UNIX V5.1B-6
» Tru64 UNIX V5.1B-5
» Documentation
» Information library
» Software web index
» Software products library
» Patch database
» Services
» Developer & Solution Partner Program
» Send us your comments
» Support Statements

Evolving business value

» Tru64 UNIX to HP-UX 11i transition benefits calculator
» Alpha RetainTrust Program
» Transition

Related links

» Alpha systems
» HP-UX 11i
» Integrity servers
» Linux
» HP storage
» HP solutions
HP-UX 11i: measurably better TCO!
 Advisory Information
 

RELEASE DATE: 03 May 2004

DESCRIPTION
This Engineering Advisory identifies Early Release Patch kits (ERPs) for key VM-related issues found in HP Tru64 UNIX versions 5.1B PK3 (BL24) and 5.1B PK2 (BL22). The ERPs distribute vm.mod. For customer convenience, multiple fixes have been combined into one ERP for 5.1B PK3 and one ERP for 5.1B PK2.

The 5.1B PK3 ERP Kit

TThe 5.1B PK3 ERP contains fixes that address the following two issues:

  • A system panic with the panic string  'vm_pg_free: page mapped' can potentially occur on HP Tru64 UNIX V5.1B systems when bigpages are enabled. The problem is caused by skewed mapping upon excessive cowfaults.

The panic exhibits the following footprint:

   0 panic
   1 vm_pg_free
   2 u_anon_free
   3 u_anon_unmap
   4 u_map_delete
   5 vm_map_exit
   6 exit
  • Changing memory protection under certain conditions can result in a kernel memory fault panic exhibiting the following footprint: 
00 panic
1 event_timeout
2 printf
3 panic
4 trap
5 _XentMM
6 _a_lock
7 u_anon_protect
8 u_map_protect
9 mprotect
10 syscall 
11 _Xsyscall

Customers with and without bigpages enabled can benefit from this ERP.

Both fixes contained in the ERP are scheduled to be available in the following mainstream service pack:/p>

HP Tru64 UNIX V5.1B PK4 (BL25)

Note: Customers who have already installed CSP T64KIT0021670-V51BB24-20040220.tar, which also provided these two fixes, do not need to install this ERP.

The 5.1B PK2 ERP Kit

TThe 5.1B PK2 ERP contains fixes that address three issues:

  • A system panic with the panic string  'vm_pg_free: page mapped' can potentially occur on HP Tru64 UNIX V5.1B systems when bigpages are enabled. The problem is caused by skewed mapping upon excessive cowfaults.

The panic exhibits the following footprint: /p>

    0 panic
   1 vm_pg_free
   2 u_anon_free
   3 u_anon_unmap
   4 u_map_delete
   5 vm_map_exit
   6 exit
  • Changing memory protection under certain conditions can result in a kernel memory fault panic exhibiting the following footprint: 
00 panic
1 event_timeout
2 printf
3 panic
4 trap
5 _XentMM
6 _a_lock
7 u_anon_protect
8 u_map_protect
9 mprotect
10 syscall 
11 _Xsyscall
 
  • A fix for a potential application core dump originally provided via ERP T64KIT0021681-V51BB22-E-20040223.tar. /li>

TThe fix provided in T64KIT0021681-V51BB22-E-20040223.tar is still valid. It is being repackaged with the other two vm-related fixes for customer convenience.

Customers who have already installed T64KIT0021681-V51BB22-E-20040223.tar need to install the 5.1B PK2 ERP if they want the benefit of all three fixes. The 5.1B PK2 ERP will install seamlessly over T64KIT0021681-V51BB22-E-20040223.tar./p>

The first two fixes are scheduled to be available in V5.1B PK4 (BL25). The third fix is already available in 5.1B PK3 (BL24).

 

SCOPE
ERP kits are available for the following versions: 

  • HP Tru64 UNIX V5.1B PK3 (BL24)
  • HP Tru64 UNIX V5.1B PK2 (BL22)
 

RESOLUTION
HHP is releasing the following ERPs publicly for use by any customer. The ERPs use dupatch to install and will not install over any Customer Specific Patches (CSPs) that have file intersections with the ERP. 

Early Release Patch Kits

Locations for the 5.1B PK3 and 5.1B PK2 ERPs follow.

HP Tru64 UNIX 5.1B
Prerequsite:      HP Tru64 UNIX 5.1B PK3 (BL24)
ERP Kit Name:          T64KIT0022199-V51BB24-E-20040423.tar  
ITRC Patch Page:  http://www.itrc.hp.com/service/patch/mainPage.do
Kit Location: 
http://www.itrc.hp.com/service/patch/patchDetail.do?patchid=T64KIT0022199-V51BB24-E-20040423

HP Tru64 UNIX 5.1B
Prerequsite:      HP Tru64 UNIX 5.1B PK2 (BL22)
ERP Kit Name:          T64KIT0022219-V51BB22-E-20040427.tar   br> ITRC Patch Page:  http://www.itrc.hp.com/service/patch/mainPage.do
Kit Location: 
http://www.itrc.hp.com/service/patch/patchDetail.do?patchid=T64KIT0022219-V51BB22-E-20040427